﻿@{
    Layout = null;
}

@model Jumbula.Core.Model.Order.OrderItemsViewModel


<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Registration details
            </h1>
        </div>
        <div class="actions">
            <a ngaction="Order_Edit" id="EditCancelItem" jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" title="Edit/Cancel" ui-sref='EditOrder({seasonDomain: MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})' ng-show="Model.IntItemStatus==3 && Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
                <i class="jbi-pencil fg-black"></i>
            </a>
            <a ngaction="Order_Edit" id="EditCancelItem" jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" title="Edit/Cancel" ui-sref='EditOrder({seasonDomain: MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})' ng-show="Model.IntItemStatus==3 && Model.Mode =='PunchCard'">
                <i class="jbi-pencil fg-black"></i>
            </a>
            <a ngaction="Order_Edit" id="EditCancelDropIn" jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" title="Edit/Cancel" ui-sref='EditCancelDropInOrder({seasonDomain: MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})' ng-show="Model.IntItemStatus==3 && Model.IsDropIn && Model.ProgramType != 'Camp'">
                <i class="jbi-pencil fg-black"></i>
            </a>
            <a ngaction="Order_Edit" id="UnCancel" jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" title="Uncancel" ng-click="UnancelOrder(MC.stateParams.orderItemId)" ng-show="Model.IntItemStatus==4 && Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare' && Model.ItemStatusReason == 'canceled' &&  !Model.IsDropIn">
                <i class="jbi-reply fg-black"></i>
            </a>
            <a ngaction="Order_Edit" jb-tooltip id="EditSubItem" class="action" data-toggle="tooltip" data-placement="bottom" title="Edit" ui-sref='EditOrder({seasonDomain: MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})' ng-if="(Model.IntItemStatus ==3 ||  Model.IntItemStatus==4) && (((Model.ProgramType == 'Subscription' && Model.PaymentPlanType =='Installment') || Model.ProgramType == 'BeforeAfterCare') && !Model.IsItemCanceled && !Model.IsDropIn && Model.Mode !='PunchCard')">
                <i class="jbi-pencil fg-black"></i>
            </a>
            <a ngaction="Order_Edit" jb-tooltip id="CancelSubItem" class="action" data-toggle="tooltip" data-placement="bottom" title="Cancel" ui-sref='CancelSubscriptionOrder({seasonDomain: MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})' ng-if="(Model.IntItemStatus ==3 ||  Model.IntItemStatus== 4) && ((Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare') && !Model.IsItemCanceled && !Model.IsDropIn && Model.Mode !='PunchCard')">
                <i class="jbi-cancel fg-black"></i>
            </a>
            <a jb-tooltip class="action" id="btn-History" data-toggle="tooltip" data-placement="bottom" title="History" ui-sref='OrderHistory({seasonDomain: MC.stateParams.seasonDomain,orderId:Model.OrderId,orderItemId:MC.stateParams.orderItemId })'>
                <i class="icon-history fg-black"></i>
            </a>
            <a ngaction="Order_Transfer" jb-tooltip id="btn-TransferItem" class="action" data-toggle="tooltip" ng-show="Model.HasProgramScheduleId==true && Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare' && Model.IntItemStatus==3 && Model.ProgramType != 'ChessTournament' && !Model.IsDropIn" data-placement="bottom" title="Transfer" ui-sref='Transfer({seasonDomain: MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})'>
                <i class="jbi-transfer fg-black"></i>
            </a>
            <a ngaction="Order_Transfer" jb-tooltip class="action" id="btn-TransferSubItem" data-toggle="tooltip" ng-show="Model.HasProgramScheduleId==true && (Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare')&& !Model.IsItemCanceled && Model.IntItemStatus==3 && !Model.IsDropIn && Model.PaymentPlanType =='Installment'" data-placement="bottom" title="Transfer" ui-sref='Transfer({seasonDomain: MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})'>
                <i class="jbi-transfer fg-black"></i>
            </a>
            <a ngaction="Order_Refund" jb-tooltip class="action" id="btn-Refund" data-toggle="tooltip" data-placement="bottom" title="Refund" ng-click='refund( MC.stateParams.seasonDomain,Model.ProgramId,MC.stateParams.orderItemId)' ng-show="(Model.Balance < 0 && Model.PaymentPlanType=='FullPaid' ) || (Model.EnableInstallmentRefund >0 && Model.PaymentPlanType=='Installment')">
                <i class="jbi-fully-refund fg-black"></i>
            </a>
            <a jb-tooltip class="action" data-toggle="tooltip" id="btn-Invoice" data-placement="bottom" ng-show="Model.Balance>0 && Model.IsLiveOrder==true" title="Invoice" ui-sref='FamilyInvoicesOrTakePayment({userId:Model.UserId,type:"Invoice",orderId:Model.OrderId,clubId:MC.stateParams.clubId,orderItemId:MC.stateParams.orderItemId , IsToBack : false})'>
                <i class="jbi-invoic fg-black"></i>
            </a>
            <a ngaction="Order_TakePayment" jb-tooltip class="action" id="btn-TakPayment" data-toggle="tooltip" data-placement="bottom" title="Take a Payment" ng-click='makePayment(MC.stateParams.seasonDomain,Model.ProgramId,MC.stateParams.orderItemId)' ng-show="(Model.Balance > 0 && Model.PaymentPlanType=='FullPaid' ) || (Model.EnableInstallmentTakePayment >0 && Model.PaymentPlanType=='Installment')">
                <i class="jbi-coins fg-black"></i>
            </a>
            <a jb-tooltip class="action" data-toggle="tooltip" id="btn-ChangeDay" data-placement="bottom" title="Change class days" ng-show="Model.HasProgramScheduleId==true && (Model.ProgramType == 'Subscription' ||  Model.ProgramType == 'BeforeAfterCare')&& !Model.IsItemCanceled && !Model.IsDropIn && Model.Mode !='PunchCard'" ui-sref='OrderChandgeDays({seasonDomain:MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})'>
                <i class="jbi-schedule fg-black"></i>
            </a>
            @*<a jb-tooltip class="action" data-toggle="tooltip" id="btn-ChangeDesired" data-placement="bottom" title="Change desired start date" ng-show="Model.HasProgramScheduleId==true && ((Model.ProgramType == 'Subscription' && Model.PaymentPlanType =='Installment') ||  Model.ProgramType == 'BeforeAfterCare')&& !Model.IsItemCanceled && !Model.IsDropIn && Model.Mode !='PunchCard'" ui-sref='OrderChandgeDesiredStartDate({seasonDomain:MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})'>
        <i class="jbi-calendar fg-black"></i>
        </a>*@
            <a jb-tooltip class="action" data-toggle="tooltip" id="btn-ChangeDesired" data-placement="bottom" title="Change desired start date" ng-show="Model.HasProgramScheduleId==true && (Model.ProgramType == 'Subscription' ||  Model.ProgramType == 'BeforeAfterCare')&& !Model.IsItemCanceled && !Model.IsDropIn && Model.PaymentPlanType =='Installment'" ui-sref='OrderChandgeDesiredStartDate({seasonDomain:MC.stateParams.seasonDomain,orderId:MC.stateParams.orderItemId})'>
                <i class="jbi-calendar fg-black"></i>
            </a>
            <a jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" id="btn-Email" title="Email participant" ui-sref='ParticipantEmail({seasonDomain:MC.stateParams.seasonDomain,programId:Model.ProgramId ,userId:Model.UserId,orderItemId:MC.stateParams.orderItemId})'>
                <i class="jbi-email fg-black"></i>
            </a>

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div ng-include="'/Dashboard/Order/GetView/_OrderInformation'"></div>
    <br />
 
    <div id="registrationDetails">
        <fieldset>
            <legend>Payment information</legend>
            <table class="table">
                <colgroup>
                    <col style="font-weight: bold;width: 80%;">
                    <col style="width: 20%;">
                </colgroup>
                <tfoot>
                    <tr>
                        <td>Total</td>
                        <td>{{(Model.TotalAmount).formatCurrencyWithPenny(2)}}</td>
                    </tr>
                    <tr>
                        <td id="removeBorder">Paid</td>
                        <td id="removeBorder">{{(Model.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                    </tr>
                    <tr>
                        <td>Balance</td>
                        <td ng-class="{ 'fg-green' : Model.OrderInfo.Balance < 0 , 'fg-red' : Model.OrderInfo.Balance > 0}">{{(Model.Balance).formatCurrencyWithPenny(2)}}</td>
                    </tr>
                </tfoot>
                <tbody>
                    <tr>
                        <td class="text-bold" id="removeBorder">
                            {{Model.Name}}
                        </td>
                        <td class="text-bold" id="removeBorder" ng-class="{'line-through' : Model.IsDeletedEntryFee}">
                            {{(Model.EntryFee).formatCurrencyWithPenny(2)}}
                        </td>
                    </tr>
                    <tr class="charge" ng-repeat="charge in Model.Charges">
                        <td>{{charge.Name}} <span class="label info">Service</span></td>
                        <td ng-class="{'line-through' : charge.IsDeleted}">{{(charge.Amount).formatCurrencyWithPenny(2)}}</td>
                    </tr>
                    <tr class="discount" ng-repeat="discount in Model.Discounts">
                        <td>{{discount.Name}} <span class="label success" ng-if="discount.Category!='Coupon'">Discount</span><span class="label success" ng-if="discount.Category=='Coupon'">Coupon</span></td>
                        <td ng-class="{'line-through' : discount.IsDeleted}">{{(discount.Amount).formatCurrencyWithPenny(2)}}</td>
                    </tr>
                </tbody>
            </table>
        </fieldset>
    </div>



    <fieldset ng-show="Model.IsDropIn">
        <div class="row">
            <div class="span6">
                <div class="row">
                    <div class="span12">
                        <div style="font-size:14px">
                            <span class="text-bold">
                                Drop-in sessions
                            </span>
                        </div>
                        <div style="display:table-cell" id="SessionsItem">
                            <div class="input-control text">
                                <label id="SessionInfo" ng-repeat="session in Model.DropInSessions" style="margin-left:10px;">
                                    {{session}}
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </fieldset>

    <div id="instaments" ng-if="Model.HasAddOnInstallments">

        <fieldset>
            <legend>
                <span>
                    Add-on charges
                </span>
            </legend>

            <kendo-grid id="orderItemAddOnInstallments" options="orderItemAddOnInstallmentsGridOptions"></kendo-grid>
        </fieldset>
    </div>
    <br />
    <div id="instaments" ng-if="Model.HasInstallments">
        <fieldset>
            <legend>
                <span>
                    Installments
                </span>
                <span ng-show="Model.PaymentPlanStatus=='Stopped'">(payments stopped)</span>

                <button class="info place-right" ng-hide="Model.PaymentPlanStatus=='Stopped' || Model.IsInstallmentAutoCharge==false" ng-click="stopInatallmentsPayment()">Stop payments</button>
                <button class="info place-right" ng-hide="Model.PaymentPlanStatus=='Started'" ng-click="resumeInatallmentsPayment()">Resume payments</button>
            </legend>

            <kendo-grid id="orderItemInstallments" options="orderItemInstallmentsGridOptions"></kendo-grid>
        </fieldset>
    </div>

    <div id="punchCardSessions" ng-if="Model.ProgramType == 'BeforeAfterCare' && Model.Mode =='PunchCard' ">
        <fieldset>
            <legend>Punchcard</legend>
            <kendo-grid id="orderItemPunchCard" options="punchCardSessionsGridOptions"></kendo-grid>
        </fieldset>
    </div>

    <div id="paymentHistory" ng-if="Model.HasTransactions">
        <fieldset>
            <legend>Payment history</legend>
            <kendo-grid id="orderItemTransactions" options="orderItemTransactionsGridOptions"></kendo-grid>
        </fieldset>
    </div>

    <div id="forms">
        <div ng-if="Model.FollowupForms.length > 0">
            <fieldset>
                <legend>Follow-up forms</legend>
                <table class="table menue-table">
                    <thead>
                        <tr>
                            <th class="text-left">
                                Name
                            </th>
                            <th class="text-left">
                                Type
                            </th>
                            <th class="text-left">
                                Mode
                            </th>
                            <th class="text-left">
                                Status
                            </th>
                            <th class="text-right" style="padding-right:22px;white-space:nowrap;">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr ng-repeat="form in Model.FollowupForms">
                            <td>
                                {{form.FormName}}
                            </td>
                            <td>
                                {{form.FormType == 'FollowUp' ? 'Online form' : 'Supplemental form' }}
                            </td>
                            <td>
                                {{form.FollowUpFormMode == 'Offline' ? 'After registration' : 'During registration' }}
                            </td>
                            <td ng-show="form.Status == 'Completed'">
                                Done
                            </td>
                            <td ng-show="form.Status == 'NotFill'">-</td>
                            <td>
                                <div>
                                    <ul class="k-arrow-less" kendo-menu="" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                                        <li class="k-item k-state-default" role="menuitem" style="z-index: auto;">
                                            <span style="font-size:18px;font-weight:900;font-family:Arial">
                                                ...
                                            </span>
                                            <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                                <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                                    <li ng-show="form.FormType == 'FollowUp'" ui-sref="OrderItemFollowForm({fId:form.Id})" class="k-item k-state-default k-first" role="menuitem">
                                                        <span class="k-link ">View/Print</span>
                                                    </li>
                                                    <li ng-show="form.FormType != 'FollowUp'" ui-sref="OrderItemFollowForm({fId:form.Id})" class="k-item k-state-default" role="menuitem">
                                                        <span class="k-link ">View</span>
                                                    </li>
                                                </ul>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </fieldset>
            <div class="clearfix"></div>
        </div>
        <br />
        <div class="margin-bottom20" ng-if="Model.ProgramType == 'ChessTournament'">
            <fieldset>
                <legend style="line-height: 12pt;">
                    <span style="margin-bottom: 8px; display: inline-block;">Section and schedule</span>
                    <span style="float: right; font-size: 14px;height: 52px; font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif; font-style: normal; font-weight: bold; color: #000; padding: 14px 3px;">Actions</span>

                    <div class="table menue-table" style="float:right;margin-bottom: 5px;" id="ChessAction">

                        <ul kendo-menu="" class="k-arrow-less" style="display: inline-block;margin-top: -25px;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                            <li class="k-item k-state-default" role="menuitem" style="z-index: auto;width: 39px;">
                                <span style="font-size:18px;font-weight:900;font-family:Arial; padding: 2px;">
                                    ...
                                </span>
                                <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                    <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                        <li ng-click="EditChessInformation()">
                                            <span class="k-link">Edit</span>
                                        </li>
                                    </ul>
                                </div>
                            </li>

                        </ul>
                    </div>
                </legend>
                <div ng-if="!IsChessEditModel">
                    <div>
                        <p style="font-size:14px">
                            <span class="text-bold">
                                Section:
                            </span>
                            {{Model.SectionName}}
                        </p>
                    </div>
                    <div ng-if="Model.OrderInfo.EffectiveTransferredDate !=null">
                        <p style="font-size:14px">
                            <span class="text-bold">
                                Schedule:
                            </span>
                            {{Model.ChessScheduleName}}
                        </p>
                    </div>
                </div>
                <div ng-if="IsChessEditModel">
                    <div class="place-left one-half">
                        <span>Available sections</span>
                        <div ng-repeat="section in Model.ChessTournamentAtttribute.Sections">
                            <div class="input-control radio default-style no-margin" data-role="input-control">
                                <label class="block">
                                    <input ng-model="section.IsChecked" ng-click="selectSection(Model.ChessTournamentAtttribute.Sections, section)" name="ChessSection" ng-value="true" type="radio" class="ng-pristine ng-untouched ng-valid">
                                    <span class="check"></span>
                                    <span>{{section.Name}}</span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="place-right one-half">
                        <span>Available schedules</span>
                        <div ng-repeat="schedule in Model.ChessTournamentAtttribute.Schedules">
                            <div class="input-control radio default-style no-margin" data-role="input-control">
                                <label class="block">
                                    <input ng-model="schedule.IsChecked" ng-click="selectSchedule(Model.ChessTournamentAtttribute.Schedules, schedule)" name="ChessScheduel" ng-value="true" type="radio" class="ng-pristine ng-untouched ng-valid">
                                    <span class="check"></span>
                                    <span>{{schedule.Title}}</span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div>
                        <button class="btn place-right margin-left10" ng-click="cancelEditChessInfo(chargeDiscount)">Cancel</button>
                        <button class="success place-right" ng-click="SaveChessInformation(Model.ChessTournamentAtttribute)">Save</button>
                    </div>
                </div>
            </fieldset>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
        <div class="registration" ng-if="Model.HasProgramScheduleId==true">
            <fieldset>
                <legend style="line-height: 12pt;">
                    <span style="margin-bottom: 8px; display: inline-block;">Registration form</span>
                    <span style="float: right; font-size: 14px;height: 52px; font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif; font-style: normal; font-weight: bold; color: #000; padding: 14px 3px;">Actions</span>

                    <div class="table menue-table" style="float:right;margin-bottom: 5px;" id="ChargeDiscountActions">

                        <ul kendo-menu="" class="k-arrow-less" style="display: inline-block;margin-top: -25px;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                            <li class="k-item k-state-default" role="menuitem" style="z-index: auto;width: 39px;">
                                <span style="font-size:18px;font-weight:900;font-family:Arial; padding: 2px;">
                                    ...
                                </span>
                                <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                    <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">

                                        <li ng-click="loadModel(true)">
                                            <span class="k-link">Edit</span>
                                        </li>
                                        <hr style="margin: 4px 0;" />
                                        <li>
                                            <a class="k-link" href="/FollowupForm/Print?id={{Model.JbFormId}}&isRegistrationForm=true" target="_blank">Print</a>
                                        </li>
                                        <li>
                                            <a class="k-link" href="Order/GeneratePdfRegistrationForm?jbFormId={{Model.JbFormId}}" target="_blank">Export to PDF</a>
                                        </li>
                                        <hr style="margin: 4px 0;" />
                                        <li ng-click="ShowListForms(true)" id="CancelEntireOrder" class="k-item k-state-default k-first" role="menuitem">
                                            <span class="k-link ">Switch registration form</span>
                                        </li>
                                        <li ng-click="ShowAnotherOrder(true)" class="k-item k-state-default k-first" role="menuitem">
                                            <span class="k-link ">Assign the registration form to other orders</span>
                                        </li>
                                    </ul>
                                </div>
                            </li>

                        </ul>
                        <div id="Regforms" style="max-width: 405px;float: right; margin: 0px;" class="input-control text" data-role="input-control" ng-if="ShowForms">
                            <button ng-if="ShowForms" id="btn_cancelTestEmail" style="font-size: 14px !important;margin-right: 10px;" class="btn place-right medium inline-block" ng-click="cancelListForms()">Cancel</button>

                            <select style="line-height: 26px !important;height: 26px !important; width: 316px !important;   display: inline-block !important;" chosen ng-model="Model.SelectedForm"
                                    data-placeholder="Select form"
                                    id="SelectedFroms"
                                    ng-change="ChangeForm()"
                                    ng-options="obj.Value as obj.Text for obj in Model.Forms">
                                <option value=""></option>
                            </select>
                        </div>
                        <div id="Regforms" style="max-width:476px;min-width:476px;position: absolute; right: 42px; margin: 0px;" class="input-control text" data-role="input-control" ng-if="ShowAnotherOrderList">
                            <button ng-if="ShowAnotherOrderList" id="btn_cancelTestEmail" style="font-size: 14px !important;margin-right: 10px;" class="btn place-right medium inline-block" ng-click="CancelOrderList()">Cancel</button>
                            <button ng-if="ShowAnotherOrderList" id="btn_cancelTestEmail" style="font-size: 14px !important;margin-right: 10px;" class="btn success place-right medium inline-block" ng-click="SetFormToAnotherOrder()">Save</button>
                            <select chosen multiple style="line-height: 26px !important;height: 26px !important; width: 316px !important;   display: inline-block !important;" class="select-relative" ng-model="Model.SelectedOrders"
                                    data-placeholder="Select order"
                                    id="SelectedOrders"
                                    ng-change=""
                                    ng-options="obj.Value as obj.Text for obj in Model.AllOrdersThisPlayer">
                                <option value=""></option>
                            </select>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </legend>
                <div ng-if="Model.UpdateForm && Model.IsSelectedForm ">
                    <form id="orderJbForm" ng-bind-html="Model.ProgramJbFormHtml | unsafe" class="padding-left20 padding-right20"></form>
                    <button class="success place-right" ng-click="SaveForm()">Save Form</button>
                    <hr />
                </div>
                <div ng-if="!Model.UpdateForm && !ShowForms">
                    <form id="orderJbForm" ng-bind-html="Model.JbFormHtml | unsafe" class="padding-left20 padding-right20"></form>
                    <button class="success place-right" ng-show="Model.Editable" ng-click="SaveForm()">Save Form</button>
                </div>

            </fieldset>

        </div>
    </div>
    <div>

        <div class="clearfix"></div>
    </div>
    <div>

        <div class="clearfix"></div>
    </div>
    <div>

        <div class="clearfix"></div>
    </div>
    <div>
        <br />
        <br />
        <br />
        <br />
        <div class="clearfix"></div>
    </div>
    <div ng-if="Model.Waivers.length > 0">
        <fieldset>
            <legend>Waivers</legend>
            <table class="table">
                <thead>
                    <tr>
                        <th class="text-left">
                            Title
                        </th>
                        <th class="text-left">
                            Mandatory
                        </th>
                        <th class="text-left">
                            Status
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="waiver in Model.Waivers">
                        <td>
                            {{waiver.Name}}
                        </td>
                        <td>
                            <span ng-show="waiver.IsRequired">Yes</span>
                            <span ng-show="!waiver.IsRequired">No</span>
                        </td>
                        <td>
                            <span ng-if="waiver.WaiverConfirmationType == 'Signature' && waiver.Signature!=''">Signed - <a ng-click="ViewWaiver(waiver.Id)">View</a></span>
                            <span ng-if="waiver.WaiverConfirmationType == 'Signature' && waiver.Signature==''">Declined - <a ng-click="ViewWaiver(waiver.Id)">View</a></span>

                            <span ng-if="waiver.WaiverConfirmationType == 'Agree' && waiver.Agreed==true">Agreed - <a ng-click="ViewWaiver(waiver.Id)">View</a></span>
                            <span ng-if="waiver.WaiverConfirmationType == 'Agree' && waiver.Agreed==false">Declined - <a ng-click="ViewWaiver(waiver.Id)">View</a></span>
                        </td>

                    </tr>
                </tbody>
            </table>
        </fieldset>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
</div>

<div ng-if="showPaymentHistoryActions" ng-class="{'active':showPaymentHistoryActions}" class="jb-confirm">
    <div class="popupHistory">
        <div id="ConfirmPaymentAmount1">
            <h2 class="title-Popup">View details</h2>
            <hr style="margin-top:7px;margin-bottom:0px;" />
            <br />
            <span ng-click="dismissHistoryPopup()" class="jbi-cancel k-link" style="padding: 10px; position: absolute; right: 0; top: 0; color: #8a8989;">
            </span>

            <div class="row">
                <div class="col-md-10" style="margin-left: 7px;margin-bottom: 7px;padding: 5px;">
                    <h4>Payment details</h4>
                    <hr style="margin-top:7px;margin-bottom:0px;" />
                    <div ng-if="status == 'Failed'">
                        <label><span style="font-weight:bold">Status</span>: <span>Payment failed to process on {{StrTransactionDatePopup}}</span></label>
                        <label><span style="font-weight:bold">Error massage</span>: <span>{{ErrorMessage}}</span></label>
                        <label> <span style="font-weight:bold">Card number</span>: <span>{{CardNumber}}</span></label>
                        <label> <span style="font-weight:bold">Transaction ID</span>: <span>{{TransactionId}}</span></label>
                        <label ng-if="category == '5' || category == '9' || category == '2'"> <span style="font-weight:bold">Memo</span>: <span>{{Memo}}</span></label>
                    </div>
                    <div ng-if="status == 'Received'">
                        <label ng-if="category != '2' && category != '10'"><span style="font-weight:bold">Status</span>: <span>Payment was received on {{StrTransactionDatePopup}}</span></label>
                        <label ng-if="category == '2'"><span style="font-weight:bold">Status</span>: <span>Refund was processed on {{StrTransactionDatePopup}}</span></label>
                        <label ng-if="category == '10'"><span style="font-weight:bold">Status</span>: <span>You transferred {{Amount}} from the family credit back to the order on {{StrTransactionDatePopup}}</span></label>
                        <label ng-if="paymentMethod != '13'"> <span style="font-weight:bold">Card number</span>: <span>{{CardNumber}}</span></label>
                        <label > <span style="font-weight:bold">Transaction ID</span>: <span>{{TransactionId}}</span></label>
                        <label ng-if="category == '5' || category == '9' || category == '2'"> <span style="font-weight:bold">Memo</span>: <span>{{Memo}}</span></label>
                    </div>

                    <div ng-if="category == '5'">
                        <br />
                        <h4>Invoice details</h4>
                        <hr style="margin-top:7px;margin-bottom:0px;" />
                        <label> <span style="font-weight:bold">Invoice number</span>: <span>{{InvoiceNumber}}</span></label>
                        <label> <span style="font-weight:bold">Issue date</span>: <span>{{InvoiceCreateDate}}</span></label>
                        <label> <span style="font-weight:bold">Due date</span>: <span>{{InvoiceDueDate}}</span></label>
                        <label> <span style="font-weight:bold">Paid date</span>: <span>{{InvoicePaidDate}}</span></label>
                    </div>

                    <br />
                </div>
                </div>
        </div>
    </div>
</div>

<div ng-show="showInstallmentDetails" ng-class="{'active':showInstallmentDetails}" class="jb-confirm">
    <div class="popupInstallmentPaymentHistory">
        <div>
            <h2 class="title-Popup">View details</h2>
            <hr style="margin-top:7px;margin-bottom:0px;" />
            <br />
            <span ng-click="dismissInstallmentPopup()" class="jbi-cancel k-link" style="padding: 10px; position: absolute; right: 0; top: 0; color: #8a8989;">
            </span>

            <fieldset ng-show="total != 0 ">
                <legend style="font-size: 13.5pt !important;border-bottom: 0.5px solid #e5e5e5 !important;">Payment history </legend>
                <kendo-grid id="installmentTransactions" options="installmentTransactionsGridOptions"></kendo-grid>
            </fieldset>
            <div ng-show="total == 0 || total == 'undefind'">
                No payment history
            </div>
        </div>

    </div>
</div>
